org.apache.jmeter.visualizers

## Class RequestViewRaw

- java.lang.Object
- - org.apache.jmeter.visualizers.RequestViewRaw

- All Implemented Interfaces:
    RequestView

      public class RequestViewRaw
      extends java.lang.Object
      implements RequestView

  (historical) Panel to view request data

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestViewRaw()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clear all data in panel
    `java.lang.String` | `getLabel()` Get the label.
    `javax.swing.JPanel` | `getPanel()` Get the panel
    `void` | `init()` request pane content
    `void` | `setSamplerResult(java.lang.Object objectResult)` Put the result bean to display in panel

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestViewRaw

          public RequestViewRaw()

  - ### Method Detail

    - #### init

          public void init()

      request pane content
      Specified by:
        `init` in interface `RequestView`

    - #### clearData

          public void clearData()

      Description copied from interface: `RequestView`
      Clear all data in panel
      Specified by:
        `clearData` in interface `RequestView`

    - #### setSamplerResult

          public void setSamplerResult(java.lang.Object objectResult)

      Description copied from interface: `RequestView`
      Put the result bean to display in panel
      Specified by:
        `setSamplerResult` in interface `RequestView`
      Parameters:
        `objectResult` - result to display

    - #### getPanel

          public javax.swing.JPanel getPanel()

      Description copied from interface: `RequestView`
      Get the panel
      Specified by:
        `getPanel` in interface `RequestView`
      Returns:
        the panel viewer

    - #### getLabel

          public java.lang.String getLabel()

      Description copied from interface: `RequestView`
      Get the label. Use as name for bottom tab
      Specified by:
        `getLabel` in interface `RequestView`
      Returns:
        the label's panel

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.